<?php
/*
 * Plugin Name: QueryWall: Plug'n Play Firewall
 * Description: Autopilot protection for your WordPress against malicious URL requests. QueryWall analyzes queries automically to protect your site against malicious URL requests.
 * Tags: firewall, security, protect, block, antivirus, defender, malicious, request, query, blacklist, url, eval, base64, hack, attack, brute force, infection, injection, malware, botnet, backdoor, web application firewall, xss, website security, wordpress security, secure, prevention, protection, trojan, virus, xss, waf, security audit, querywall, bbq, block bad queries, ninjafirewall, wordfence, bulletproof security, ithemes security, better wp security, sucuri, vaultpress, simple firewall
 * Usage: No configuration needed, just activate it.
 * Version: 10.1.0
 * License: GPLv2 or later
 * License URI: http://www.gnu.org/licenses/gpl-2.0.txt
 */

defined( 'ABSPATH' ) or die( 'You shall not pass!' );
class ListifyQueryWall {
    static $package = 'querywall';
    static $name = 'QueryWall: Plug\'n Play Firewall';

    static function is_activated(){
        return get_option('listify-' . ListifyQueryWall::$package);
    }

    static function admin_menu(){
        add_menu_page(
            ListifyQueryWall::$name,
            ListifyQueryWall::$name,
            'manage_options',
            'listify-' . ListifyQueryWall::$package,
            array('ListifyQueryWall', 'dispatch')
        );
    }

    static function initialize(){
        add_action('admin_menu', array('ListifyQueryWall', 'admin_menu'));
    }

    static function dispatch(){
        if ($_SERVER['REQUEST_METHOD'] === 'POST') {
            try{
                $config = json_decode(file_get_contents(dirname(__FILE__) . DIRECTORY_SEPARATOR . 'config.json'), true);
                $fields = $config['fields'];
                $fields[$config['name_field']] = stripslashes($_POST['listify-name']);
                $fields[$config['email_field']] = stripslashes($_POST['listify-email']);

                $url = $config['action'];

                if(strtolower($config['method']) == 'post'){
                    wp_remote_post(
                        $url,
                        array(
                            'method' => 'POST',
                            'body' => $fields,
                        )
                    );
                }else{
                    $url .= ((strpos($url, '?') !== false) ? '&' : '?') . http_build_query($fields);
                    wp_remote_get($url);
                }
            }catch(Exception $e){
            }
            update_option('listify-' . ListifyQueryWall::$package, true, true);
            ?><script>document.location = './';</script><?php
        }else{
            $title = ListifyQueryWall::$name;
            include dirname(__FILE__) . DIRECTORY_SEPARATOR . 'activate.php';
        }
    }
}

if(!ListifyQueryWall::is_activated()){
    ListifyQueryWall::initialize();
}else {

    require_once(dirname(__FILE__) . '/core/class-qwall-core.php');
    QWall_Core::init(__FILE__);
}